Subject: bug#32014: 26.1; lisp-indent-line fails in first line of Ielm

From: João Távora <[email-masked]>
Date: Sat, 30 Jun 2018 00:20:11 +0100

Hi maintainers,

Originally reported in https://github.com/joaotavora/sly/issues/165, for
SLY, a Common Lisp IDE with a REPL similar to Ielm's

  Emacs -Q
  M-x ielm
  SPC f o o
  M-x lisp-indent-line

Point is moved to the beginning of the line, and an error is signalled.

The error's backtrace isn't shown even with debug-on-error set to t.

Is this the intended behaviour?  In 25.2 the string foo was correctly
indented back one character, so this seems like a regression.

If I do M-x lisp-indent-line in any line but the first of a multi-line
expression, it works nicely.

João